<?php
include_once("../include/main.inc.php");
check_session('MyCpanel','index.php');
?>
<script type="text/javascript">
function chk_valid_date() {
	if (document.bannerFrm.validFrom.value==0) {
		alert("Please select Validity Period");
		return false;
	}
	if (document.bannerFrm.validTo.value==0) {
		alert("Please select Validity Period");
		return false;
	}
}
</script>
<?php
################ Paging Starts From Here ##################
@extract($_REQUEST);
$start = (intval($start)<0 or $start=="")?0:$start;
$pagesize = intval($pagesize)==0?$pagesize=20:$pagesize;

$heading="Manage Manufacturing";
$record_type="Manufacturing";
$script_name="manage_manufacturing.php";
$table_name="manufacturing_tbl";
####################################################

if($id=="add_record") {
	if($_FILES['collar']['name']!="") {
		$file_extension=strtolower(getExtension($_FILES['collar']['name']));
		if($file_extension!="jpg" && $file_extension!="gif" && $file_extension!="jpeg" && $file_extension!="png") {
			$form_check_alert .="<li>Please upload small image(.jpg,.gif,.png Format Only)</li>";
		}
	}
	if(!strlen($form_check_alert)>0) {
		if($_FILES['collar']['name']!="") {
			$img_name="gallery_".date("s");
			$image=upload_file($img_name,"collar","uploaded-files/team");
		}
		
		$sql=db_query("insert into $table_name set name='$name', prod_capacity='$prod_capacity', establishment='$establishment', image='$image', prod_manufacture='$prod_manufacture', prodw_area='$prodw_area', total_area='$total_area', instagram_link='$instagram_link', linkedin_link='$linkedin_link'");
		$_SESSION['session_message']='New '.$record_type.' has been added successfully';
		header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&pagesize=".$pagesize);
		exit;
	}
	else {
		$msg=html_head();
		$msg.=$form_check_alert;
		$msg.=html_foot();
	}
}

if($id=="update_record") {
	if($_FILES['collar']['name']!="") {
		$file_extension=strtolower(getExtension($_FILES['collar']['name']));
		if($file_extension!="jpg" && $file_extension!="gif" && $file_extension!="jpeg" && $file_extension!="png") {
			$form_check_alert .="<li>Please upload small image(.jpg,.gif,.png Format Only)</li>";
		}
	}
	if(!strlen($form_check_alert)>0) {
		if($_FILES['collar']['name']!="") {
			$res1=getResult($table_name," where id='$recordID'");
			$filenm1=SITE_DIR_PATH."/uploaded-files/team/".$res1['image'];
			if (file_exists($filenm1)) {
				unlink($filenm1);
			}
			
			$img_name="gallery_".date("s");
			$image=upload_file($img_name,"collar","uploaded-files/team");
			updateTable($table_name," image='$image' where id='$recordID'");
		}
	
		$bannerUrl=$bannerUrl;
		updateTable($table_name,"name='$name', prod_capacity='$prod_capacity', establishment='$establishment', image='$image', prod_manufacture = '$prod_manufacture', prodw_area='$prodw_area', total_area='$total_area', instagram_link='$instagram_link', linkedin_link='$linkedin_link' where id='$recordID'");
		$_SESSION['session_message']=$record_type.' has been updated successfully';
		header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&pagesize=".$pagesize);
		exit;
	}
	else {
		
		$msg=html_head();
		$msg.=$form_check_alert;
		$msg.=html_foot();
	}	
}

if($id=="delete_record") {
	db_query("delete from $table_name where id='$recordID'");
	$_SESSION['session_message']=$record_type.' has been deleted successfully';
	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&pagesize=".$pagesize);
	exit;
}

admin_header("");
?>
<table width="99%" border="0" align="center" cellpadding="0" cellspacing="0" valign="top">
 <tr>
	<td align="left" width="50%" class="myTitle"><?=$heading;?></td>
	<td align="right">
	 <form name="pgimg_form" action="<?=$PHP_SELF?>" method="post" style="margin:0px;padding:0px;">
	 <table width="98%" border="0" align="center" cellpadding="0" cellspacing="0" valign="top">
	  <tr>
	   <td align="right">Records Per Page:
	    <select name="pagesize" onChange="this.form.submit();">
	     <option value="0">--Select--</option>
	     <?php
	     foreach($_GLOBALS['pgsize_arr'] as $val) {
		     if(trim($pagesize)==trim($val)) {
			     echo '<option value="'.$val.'" selected>'.$val.'</option>';
		     }
		     else{
			     echo '<option value="'.$val.'">'.$val.'</option>';
		     }
	     }
	     ?>
	    </select>	    
		 </td>
		</tr>

	 </table>
	 </form>
	</td>
 </tr>
</table>
<hr size="2" width="99%" color="#DA251C">
<?php
$qry1= db_query("select * from $table_name where status ='1'");
$reccnt = NumRows($qry1);
$qry= db_query("select * from $table_name where status ='1' order by id desc limit $start, $pagesize");
echo pageNavigation($reccnt,$pagesize,$start);
print_message();
?>
<table width="99%" border="0" cellpadding="2" cellspacing="2" class="lightBorder table table-bordered table-hover">
 <?php
 if($reccnt>0) {
	 ?>
	  <tr height="25" bgcolor="#EAEAEA">
	  <td width="5%" align="center"><strong>S.No.</strong></td>
	  <td width="20%" align="center"><strong>Name</strong></td>
	  <td width="20%" align="center"><strong>establishment</strong></td>
	  <td width="10%" align="center"><strong>Image</strong></td>
	  <td width="10%" align="center"><strong>Options</strong></td>
	  </tr>
	 <?php
	 $sl=$start+1;
	 while($arr=mysqli_fetch_array($qry)) {
		//  $arr=ms_htmlentities_decode($arr);
		 if($sl%2!=0) {
			 $color="#f9f9f9";
		 }
		 else{
			 $color="#f0f0f0";
		 }
		 ?>		 
		  <tr bgcolor="<?=$color;?>">
		  <td align="center"><?=$sl;?></td>
		  <td align="center"><?=$arr['name'];?></td>
		  <td align="center"><?=$arr['establishment'];?></td>
		  <td align="center">
		   <?php
		   if($arr['image']!="") {
			   $filenm=SITE_DIR_PATH."/uploaded-files/team/".$arr['image'];
			   
				   $dimens=GetImageSize($filenm);
				   if($dimens[0]>130) {
					   $dimens[0]=$dimens[0]+50;
					   $dimens[1]=$dimens[1]+80;
				   }
				   else{
					   $dimens[0]=200;
					   $dimens[1]=200;
				   }
				   ?>
				   <a href="javascript:void(0);" onClick="openwin('<?=SITE_ADMIN_URL;?>/popup_new.php?img=team/<?=$arr['image'];?>', '<?=$dimens[0];?>', '<?=$dimens[1];?>')" class="linkgray fontbold"><strong>View <?=$record_type;?><strong></a>
				   <?php
			   
		   }
		   else {
			   ?>
<strong>No Image Uploaded</strong>
			   <?php
		   }
		   ?>
		   </td>
		  <td align="center">&nbsp;<a class="btn btn-primary" href="<?=$script_name;?>?id=edit_record&start=<?=$start;?>&pagesize=<?=$pagesize?>&recordID=<?=$arr['id'];?>#bot"><img src="<?=SITE_ADMIN_URL?>/images/edit.gif" alt="Edit This <?=$record_type;?>" title="Edit This <?=$record_type;?>" border="0"></a>&nbsp;<a class="btn btn-danger" href="<?=$script_name;?>?id=delete_record&start=<?=$start;?>&pagesize=<?=$pagesize?>&recordID=<?=$arr['id'];?>" onClick="return confirm('Are you sure to delete this record...');"><img src="<?=SITE_ADMIN_URL?>/images/cancel.gif" alt="Delete This <?=$record_type;?>" border="0"></td>
		 </tr>
		 <?php
		 $sl++;
	 }
 }
 else{
	 ?>
 <tr><td><b>No Record Found........</b></td></tr>
 <?php
 }
 ?>
</table><br />

<form name="bannerFrm" method=post action="" enctype="multipart/form-data" onSubmit="return validate('bannerFrm') && chk_valid_date();">
<table width="99%"  border="1" cellpadding="2" cellspacing="2" class="lightBorder table table-bordered table-hover">
 <?php
 if($_GET['recordID']=="" || $id!="edit_record") {
	 ?>
	 <tr bgcolor="#EAEAEA"><td colspan="2" align="left" height="20"><b><a name="bot">Add New <?=$record_type;?></a></b></td></tr>
	 <?php
 }
 else {
	 ?>
	 <tr bgcolor="#EAEAEA">
	  <td align="left" height="20"><a name="bot"></a><b>Edit <?=$record_type;?></b></td>
	  <td align="right" height="20"><a href="<?=$script_name;?>"><b>Add New <?=$record_type;?></b></a></td>
	 </tr>
	 <?php
 }
 $res=getResult($table_name," where id='$_GET[recordID]'");
 ?>
 <tr>
  <td class="brdrbtm" valign="top"><b> Profile Image <font color="red">*</font></b></td>
  <td class="brdrbtm" valign="top">
   <?php
   if($res['image']!="") {
	   ?>
	   <input name="collar" type="file" size="40"  class="button" required>
	   <?php
	   $banner=SITE_DIR_PATH."/uploaded-files/team/".$res['image'];
	   if(file_exists($banner)) {
		   $dimens=GetImageSize($banner);
		   if($dimens[0]>130) {
			   $dimens[0]=$dimens[0]+50;
			   $dimens[1]=$dimens[1]+80;
		   }
		   else{
			   $dimens[0]=200;
			   $dimens[1]=200;
		   }
		   echo "&nbsp;<a href=\"javascript:void(0);\" onClick=\"openwin('".SITE_ADMIN_URL."/popup_new.php?img=team/".$res['image']."', '$dimens[0]', '$dimens[1]')\" class=\"linkgray fontbold\"><b>View Image</b></a>"; 
	   }
   }
   else {
	   ?>
	   <input name="collar" type="file" size="40" class="button1" id="NOBLANK~Please upload image.~DM~">
	   <?php
   }
   ?>
   <br/>
  </td>
 </tr>
 <tr>
  <td class="brdrbtm"><b>Name <font color="red">*</font></b></td>
  <td class="brdrbtm"><input type="text" name="name" class="form-control" value="<?=$res['name'];?>" required id="NOBLANK~Please enter Title of Name.~DM~" /></td>
 </tr> 
 <tr>
  <td class="brdrbtm"><b>Established in (Year) </b></td>
  <td class="brdrbtm"><input type="text" name="establishment" class="form-control" value="<?=$res['establishment'];?>" id="NOBLANK~Please enter establishment.~DM~" /></td>
 </tr> 
 
 <tr>
  <td class="brdrbtm"><b>Annual Production Capacity </b></td>
  <td class="brdrbtm"><input type="text" name="prod_capacity" class="form-control" value="<?=$res['prod_capacity'];?>" id="NOBLANK~Please enter prod_capacity.~DM~" />
  </td>
 </tr> 
 <tr>
  <td class="brdrbtm"><b>Products Manufactured </b></td>
  <td class="brdrbtm"><input type="text" name="prod_manufacture" class="form-control" value="<?=$res['prod_manufacture'];?>" id="NOBLANK~Please enter prod_manufacture.~DM~" />
  </td>
 </tr> 
 <tr>
  <td class="brdrbtm"><b>Production Work Area</b></td>
  <td class="brdrbtm"><input type="text" name="prodw_area" class="form-control" value="<?=$res['prodw_area'];?>" id="NOBLANK~Please enter Facebook Link.~DM~" />
  </td>
 </tr> 
 <tr>
  <td class="brdrbtm"><b>Total Plot Area</b></td>
  <td class="brdrbtm"><input type="text" name="total_area" class="form-control" value="<?=$res['total_area'];?>" id="NOBLANK~Please enter Twitter Link.~DM~" />
  </td>
 </tr>
 <tr>
  <td class="brdrbtm"><b>Instagram Link</b></td>
  <td class="brdrbtm"><input type="text" name="instagram_link" class="form-control" value="<?=$res['instagram_link'];?>" id="NOBLANK~Please enter Instagram Link.~DM~" />
  </td>
 </tr>
 <tr>
  <td class="brdrbtm"><b>LinkedIn Link</b></td>
  <td class="brdrbtm"><input type="text" name="linkedin_link" class="form-control" value="<?=$res['linkedin_link'];?>" id="NOBLANK~Please enter LinkedIn Link.~DM~" />
  </td>
 </tr>

 
  <td class="brdrbtm"></td>
  <td class="brdrbtm">
   <?php
   if($recordID !="") {
	   ?>
	   <input type="submit" name="submit" value="Update <?=$record_type;?>" class="button">
	   <input type="hidden" name="recordID" value="<?=$res['id'];?>">
	   <input type="hidden" name="id" value="update_record">
	   <?php	   
   }
   else{
	   ?>
	   <input type="submit" name="submit" value="Add New <?=$record_type;?>" class="button">
	   <input type="hidden" name="id" value="add_record">
	   <?php
   }
   ?>
   <input type="hidden" name="start" value="<?=$start;?>">
   <input type="hidden" name="pagesize" value="<?=$pagesize;?>">
  </td>
 </tr>
</table>
</form>
<script src="jquery.min.js"></script>
<?php
include_once("../include/main.inc.php");
check_session('MyCpanel','index.php');
?>
<script type="text/javascript">
function chk_valid_date() {
	if (document.bannerFrm.validFrom.value==0) {
		alert("Please select Validity Period");
		return false;
	}
	if (document.bannerFrm.validTo.value==0) {
		alert("Please select Validity Period");
		return false;
	}
}
</script>


<iframe width=174 height=189 name="gToday:normal:agenda.js" id="gToday:normal:agenda.js" src="<?=SITE_URL_PATH;?>/js/calendar/themes/Normal/ipopeng.htm" scrolling="no" frameborder="0" style="visibility:visible; z-index:999; position:absolute; top:-500px; left:-500px;">
</iframe>
<?php
admin_footer();
exit;
?>